Damn Small Linux (DSL) Forums
Welcome, Guest. Please login or register.
Did you miss your activation email?
September 02, 2014, 02:01:36 AM

Login with username, password and session length
News
The new DSL forums are now open.
Stats
297715 Posts in 294148 Topics by 221 Members
Latest Member: ngorock
Search:     Advanced search
* Home Help Search Login Register
Get The Official Damn Small Linux Book. Great VPS hosting provided by Tektonic

+  Damn Small Linux (DSL) Forums
|-+  Damn Small Linux
| |-+  Other Help Topics
| | |-+  Tor does not work
« previous next »
Pages: [1] Print
Author Topic: Tor does not work  (Read 1049 times)
cortman
Newbie
*
Posts: 4


View Profile
« on: April 15, 2013, 08:27:55 PM »

I'm trying to get Tor to run on my DSL 4.4 installation. I loaded the tor.dsl with mydsl-load, tried running "tor", and realized that the binary wasn't in my $PATH.
So I navigated to /opt/tor, and ran the binary there. It began to start and then failed, returning the following error-

Code:
/opt/tor/bin/tor: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory

No problem, I thought, and downloaded and loaded openssl-0.9.7j-includes.dsl and ssl-link-fix.dsl. After these I still got the same error.
How can I get this working?
Logged
CNK
Full Member
***
Posts: 146


View Profile
« Reply #1 on: June 16, 2013, 01:04:52 AM »

I'm a bit late with this reply I know, but I only just learnt the details of how Tor works so I figure I'm now less likely to say something meaningless.

It looks like the Tor binary was compiled on a machine with libssl version 0.9.8 installed. That package has version 0.9.7 and DSL comes as standard with version 0.9.6 (according to the packages list on the website). So the package author should have included their libssl with their Tor package, however as they didn't, your only option is to compile something yourself.

Check if a version of Tor you're happy with will work with libssl 0.9.6 (already in DSL) or 0.9.7. If so, download the Tor source and compile it yourself (info on how to do this is online, look in the old forum archives). If not, download the source for a version of Tor and compatible version of Openssl, then compile them (Openssl first, Tor afterwards). If you get the latest version of Tor, it will probably need more dependancies than Openssl (made clear as errors when you run the configure script), these again (unless already in the My-DSL respository) will need to be downloaded and compiled before you compile Tor.

Good luck! If it's your first time compiling, just think what you'll learn!
Logged
Pages: [1] Print 
« previous next »
Jump to:  

Powered by SMF 1.1.19 | SMF © 2013, Simple Machines
Mercury design by Bloc